Download it now!
Bug 130077 - Korea's Hanja Upper Numbers[한자 갖은자] 5 and 1000 are wrong
Summary: Korea's Hanja Upper Numbers[한자 갖은자] 5 and 1000 are wrong
Status: ASSIGNED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: DaeHyun Sung
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: CJK CJK-Korean
  Show dependency treegraph
 
Reported: 2020-01-19 09:15 UTC by DaeHyun Sung
Modified: 2020-05-24 09:24 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Excel 2019 CJK Number[upper, lower, hangul] check screenshot (107.01 KB, image/png)
2020-01-19 09:27 UTC, DaeHyun Sung
Details
Hancom Hancell's Korean Number[upper, lower, hangul] notation check screenshot (106.23 KB, image/png)
2020-01-19 09:29 UTC, DaeHyun Sung
Details
LibreOffice's wrong Korean Numeric Text show screenshot (655.77 KB, image/png)
2020-01-19 09:35 UTC, DaeHyun Sung
Details
CJK Numeric Texts list Excel file (11.54 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2020-01-19 09:36 UTC, DaeHyun Sung
Details
I fix the only 五 to 伍. not fix the 一千 to 一阡. (12.03 MB, image/png)
2020-01-23 11:21 UTC, DaeHyun Sung
Details
LibreOffice & openOffice's Number to String function[TEXT natnum] error examplefile (11.97 KB, application/vnd.oasis.opendocument.spreadsheet)
2020-05-20 15:46 UTC, DaeHyun Sung
Details

Note You need to log in before you can comment on or make changes to this bug.
Description DaeHyun Sung 2020-01-19 09:15:49 UTC
Description:
In LibreOffice, I found Korean 'Hanja gateunja 한자 갖은자/漢字갖은자' a.k.a. Korean Upper Number texts are wrong.

I recommend to fix some Korean hanja Upper Number such as 5, 1000
5: 五 ->  伍
1000:仟 -> 阡

In Korea, Numeric text have 3 parts.

ex) 0 1 2 3 4 5 6 7 8 9 10 100 1000 10000 100000000 1000000000000

1. Hangul  - Korean Hangul
0 영
1 일
2 이
3 삼
4 사
5 오
6 육
7 칠
8 팔
9 구
10 일십
100 일백
1000 일천
10000 일만
100000000 일억
1000000000000 일조
2. 한자漢字 숫자 (normal) - Korean Lower
0 〇
1 一
2 二
3 三
4 四
5 五
6 六
7 七
8 八
9 九
10  一十
100 一百
1000 一千
10000 一万
100000000 一億
1000000000000 一兆

3. 한자漢字 갖은자(it reads 'gateunja' in Korean) - Korean Upper 
0 零
1 壹
2 貳
3 參
4 四
5 伍
6 六
7 七
8 八
9 九
10 壹拾
100 壹百
1000 壹阡
10000 壹萬
100000000 壹億
1000000000000 壹兆
	
Reference:
Korean Wikipedia
한자 수사(漢字數詞)
https://ko.wikipedia.org/wiki/%ED%95%9C%EC%9E%90_%EC%88%98%EC%82%AC

Doosan Encyclopedia (Korea's popular encyclopedia)
한자숫자[漢字數字]
https://terms.naver.com/entry.nhn?docId=1161426&cid=40942&categoryId=32972


Steps to Reproduce:
1. check calc
2.
3.

Actual Results:
5: 五
1000:仟


Expected Results:
5: 伍
1000: 阡



Reproducible: Always


User Profile Reset: No



Additional Info:
Reference:
Korean Wikipedia
한자 수사(漢字數詞)
https://ko.wikipedia.org/wiki/%ED%95%9C%EC%9E%90_%EC%88%98%EC%82%AC

Doosan Encyclopedia (Korea's popular encyclopedia)
한자숫자[漢字數字]
https://terms.naver.com/entry.nhn?docId=1161426&cid=40942&categoryId=32972

In Korea, Numeric text have 3 parts.

ex) 0 1 2 3 4 5 6 7 8 9 10 100 1000 10000 100000000 1000000000000

1. Hangul  - Korean Hangul
0 영
1 일
2 이
3 삼
4 사
5 오
6 육
7 칠
8 팔
9 구
10 일십
100 일백
1000 일천
10000 일만
100000000 일억
1000000000000 일조
2. 한자漢字 숫자 (normal) - Korean Lower
0 〇
1 一
2 二
3 三
4 四
5 五
6 六
7 七
8 八
9 九
10  一十
100 一百
1000 一千
10000 一万
100000000 一億
1000000000000 一兆

3. 한자漢字 갖은자(it reads 'gateunja' in Korean) - Korean Upper 
0 零
1 壹
2 貳
3 參
4 四
5 伍
6 六
7 七
8 八
9 九
10 壹拾
100 壹百
1000 壹阡
10000 壹萬
100000000 壹億
1000000000000 壹兆
Comment 1 DaeHyun Sung 2020-01-19 09:27:48 UTC
Created attachment 157247 [details]
Excel 2019 CJK Number[upper, lower, hangul] check screenshot


Excel 2019 CJK Number[upper, lower, hangul] check screenshot
Comment 2 DaeHyun Sung 2020-01-19 09:29:01 UTC
Created attachment 157248 [details]
Hancom Hancell's Korean Number[upper, lower, hangul] notation check screenshot

Hancom Hancell's Korean Number[upper, lower, hangul] notation check screenshot
Comment 3 DaeHyun Sung 2020-01-19 09:35:22 UTC
Created attachment 157249 [details]
LibreOffice's wrong Korean Numeric Text show screenshot

LibreOffice's wrong Korean Numeric Text show screenshot
Comment 4 DaeHyun Sung 2020-01-19 09:36:29 UTC
Created attachment 157250 [details]
CJK Numeric Texts list Excel file

CJK Numeric Texts list Excel file

This is test file
Comment 5 Xisco Faulí 2020-01-20 19:01:32 UTC
@Mark, could you please check this issue when you have a moment ?
Comment 6 Mark Hung 2020-01-21 06:19:52 UTC
I confirm that the upper number in E7 and E14 in attachment#157250 [details] is 五 and 壹零零零 instead of 伍 and 壹阡.

版本:6.3.3.2 (x64)
組建 ID:a64200df03143b798afd1ec74a12ab50359878ed
CPU 執行緒:8; OS:Windows 10.0; UI 算繪:GL; VCL: win; 
語言地區:zh-TW (zh_TW); UI語言:zh-TW
Calc: CL
Comment 7 DaeHyun Sung 2020-01-23 11:17:51 UTC
(In reply to Mark Hung from comment #6)
> I confirm that the upper number in E7 and E14 in attachment#157250 [details]
> is 五 and 壹零零零 instead of 伍 and 壹阡.
> 
> 版本:6.3.3.2 (x64)
> 組建 ID:a64200df03143b798afd1ec74a12ab50359878ed
> CPU 執行緒:8; OS:Windows 10.0; UI 算繪:GL; VCL: win; 
> 語言地區:zh-TW (zh_TW); UI語言:zh-TW
> Calc: CL

I fixed some the Korean some upper numbers array
https://gerrit.libreoffice.org/c/core/+/87240



I fix the only 五 to 伍. not fix the 一千 to 一阡.
Because, There is a string display error with numbers above 10 about All Korean Numeric text on LibreOffice.

Such as 10, 11, 100, 101, 1000, 1001
For the example)
1. Korean (Lower)
Normal(Excel and Hancell) - LibreOffice
10: 一十|一〇
11: 一十一|一一
100: 一百|一〇〇
101: 一百一|一〇一
1000: 一千|一〇〇〇
1001: 一千一|一〇〇一

2. Korean (Upper)
Normal(Excel and Hancell)|LibreOffice
10: 壹拾|壹零
11: 壹拾壹|壹壹
100: 壹百|壹零零
101: 壹百壹|壹零壹
1000: 壹阡|壹零零零
1001: 壹阡壹|壹零零壹

3. Korean (Hangul)
Normal(Excel and Hancell)|LibreOffice
10: 일십|일영
11: 일십일|일일
100: 일백|일영영
101: 일백일|일영일
1000: 일천|일영영영
1001: 일천일|일영영일



As a result, I issue new Korean numeric string bug on LibreOffice.
Comment 8 DaeHyun Sung 2020-01-23 11:21:53 UTC
Created attachment 157354 [details]
I fix the only 五 to 伍. not fix the 一千 to 一阡.


I fixed some the Korean some upper numbers array
https://gerrit.libreoffice.org/c/core/+/87240


I fix the only 五 to 伍. not fix the 一千 to 一阡.
Because, There is a string display error with numbers above 10 about All Korean Numeric text on LibreOffice.
Comment 9 DaeHyun Sung 2020-01-23 12:32:13 UTC
It related tdf#130140 There is a string display error with numbers above 10 about All Korean Numeric text and Japanese Modern Numeric text
Comment 10 DaeHyun Sung 2020-05-20 15:41:51 UTC
I checked the Integer to String function(TEXT & natnum) on Calc.

Result
TEXT(B2;”[natnum1]#”)	123456789012	一二三四五六七八九〇一二
TEXT(B2;”[natnum2]#”)	123456789012	壹貳參四五六七八九零壹貳
TEXT(B2;”[natnum3]#”)	123456789012	123456789012
TEXT(B2;”[natnum4]#”)	123456789012	一千二百三十四億五千六百七十八万九千一十二
TEXT(B2;”[natnum5]#”)	123456789012	壹仟貳佰參拾四億五仟六佰七拾八萬九仟壹拾貳
TEXT(B2;”[natnum6]#”)	123456789012	1천2백3십4억5천6백7십8만9천1십2
TEXT(B2;”[natnum7]#”)	123456789012	千二百三十四億五千六百七十八万九千十二
TEXT(B2;”[natnum8]#”)	123456789012	仟貳佰參拾四億五仟六佰七拾八萬九仟拾貳
TEXT(B2;”[natnum9]#”)	123456789012	일이삼사오육칠팔구영일이
TEXT(B2;”[natnum10]#”)	123456789012	일천이백삼십사억오천육백칠십팔만구천일십이
TEXT(B2;”[natnum11]#”)	123456789012	천이백삼십사억오천육백칠십팔만구천십이


Hmm, Not changed the issue for TEXT function
natnum2 五 -> 伍
natnum5 仟 -> 阡, 五 -> 伍
natnum8 仟 -> 阡, 五 -> 伍
Comment 11 DaeHyun Sung 2020-05-20 15:46:02 UTC
Created attachment 161044 [details]
LibreOffice & openOffice's Number to String function[TEXT natnum] error examplefile

I checked both LibreOffice and OpenOffice. Both have Number to String function[TEXT function] bug for Korean.
I think that Korean spreadsheet's bug inherited from OOo.


Result
TEXT(B2;”[natnum1]#”)	123456789012	一二三四五六七八九〇一二
TEXT(B2;”[natnum2]#”)	123456789012	壹貳參四五六七八九零壹貳
TEXT(B2;”[natnum3]#”)	123456789012	123456789012
TEXT(B2;”[natnum4]#”)	123456789012	一千二百三十四億五千六百七十八万九千一十二
TEXT(B2;”[natnum5]#”)	123456789012	壹仟貳佰參拾四億五仟六佰七拾八萬九仟壹拾貳
TEXT(B2;”[natnum6]#”)	123456789012	1천2백3십4억5천6백7십8만9천1십2
TEXT(B2;”[natnum7]#”)	123456789012	千二百三十四億五千六百七十八万九千十二
TEXT(B2;”[natnum8]#”)	123456789012	仟貳佰參拾四億五仟六佰七拾八萬九仟拾貳
TEXT(B2;”[natnum9]#”)	123456789012	일이삼사오육칠팔구영일이
TEXT(B2;”[natnum10]#”)	123456789012	일천이백삼십사억오천육백칠십팔만구천일십이
TEXT(B2;”[natnum11]#”)	123456789012	천이백삼십사억오천육백칠십팔만구천십이


Hmm, Not changed the issue for TEXT function
natnum2 五 -> 伍
natnum5 仟 -> 阡, 五 -> 伍
natnum8 仟 -> 阡, 五 -> 伍
Comment 12 DaeHyun Sung 2020-05-24 09:24:04 UTC
(In reply to Mark Hung from comment #6)
> I confirm that the upper number in E7 and E14 in attachment#157250 [details]
> is 五 and 壹零零零 instead of 伍 and 壹阡.
> 
> 版本:6.3.3.2 (x64)
> 組建 ID:a64200df03143b798afd1ec74a12ab50359878ed
> CPU 執行緒:8; OS:Windows 10.0; UI 算繪:GL; VCL: win; 
> 語言地區:zh-TW (zh_TW); UI語言:zh-TW
> Calc: CL

It related two issues ( tdf#130193 , tdf#130140 ) 
I fixed the source code.
https://gerrit.libreoffice.org/c/core/+/94747/2